using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderDetailsGetPublisherOrderDto
{

    /*
        淘宝付款时间。解释：订单在淘宝付款的时间
    */
    private string? tbPaidTime;


    /*
        付款时间。解释：订单付款的时间，该时间同步淘宝，可能会略晚于买家在淘宝的订单付款时间  （预售订单完尾款支付后，付款时间会自动更新为尾款支付的时间）
    */
    private string? tkPaidTime;


    /*
        结算金额。解释：买家确认收货的付款金额（不包含运费金额）
    */
    private string? payPrice;


    /*
        结算预估收入。解释：结算预付收入=结算预估佣金收入+结算预估补贴收入
    */
    private string? pubShareFee;


    /*
        子订单号。解释：买家通过购物车购买的每个商品对应的订单编号，此订单编号并未在淘宝买家后台透出，若平台类型为淘宝、口碑、饿了么等，则订单编号即为淘宝子订单编号、口碑订单编号、饿了么订单编号，以此类推
    */
    private string? tradeId;


    /*
        推广者身份。解释：二方：佣金收益的第一归属者；三方：从其他淘宝客佣金中进行分成的推广者
    */
    private long? tkOrderRole;


    /*
        结算时间。解释：订单确认收货后且商家完成佣金支付的时间
    */
    private string? tkEarningTime;


    /*
        推广位ID。解释：“推广管理-推广位管理”中的pid中的最后一段数字，如pid=mm_1_2_3中的“3”这段数字
    */
    private long? adzoneId;


    /*
        佣金分成比率。解释：从佣金中分得的收益比率（含平台技术服务费比率）
    */
    private string? pubShareRate;


    /*
        unid（不对外开放）
    */
    private string? unid;


    /*
        维权标签。解释：若该订单产生了维权退款，则会打上“维权单”的提示。0 含义为非维权、1 含义为维权订单
    */
    private long? refundTag;


    /*
        补贴比率。解释：指该笔订单上各类型补贴的补贴比率总和。补贴比率=a补贴比率+b补贴比率+…。举例：天猫补贴1%、飞猪补贴1%等，则该数值显示为2%
    */
    private string? subsidyRate;


    /*
        佣金提成。解释：佣金提成=佣金比率*佣金分成比率。指实际获得的佣金收益比率（含平台技术服务费）
    */
    private string? tkTotalRate;


    /*
        类目名称。解释：商品所属的一级类目名称
    */
    private string? itemCategoryName;


    /*
        掌柜旺旺
    */
    private string? sellerNick;


    /*
        推广者的账号id
    */
    private long? pubId;


    /*
        平台技术服务费比率。解释：指该笔订单推广者在需支付给淘宝联盟的所有技术服务费比率总和。平台技术服务费比率=技术服务费比率a+技术服务费比率b+…。（特别说明：补贴从2023-03-10之后都不再收取补贴技术服务费了，故本字段公式中不再提及补贴相关)
    */
    private string? alimamaRate;


    /*
        补贴类型。解释：各补贴类型的类型名称、补贴比率、补贴金额、单笔补贴上限、补贴分成比率的详细说明，如有多个补贴会一并告知，举例：淘宝特价版（补贴比率：1%，补贴金额1.00元，单笔补贴上限金额1000.00元，补贴分成比率：100.00%）、飞猪补贴（补贴比率：1%，补贴金额1.00元，单笔补贴上限金额1000.00元，补贴分成比率：100.00%）
    */
    private string? subsidyType;


    /*
        商品图片
    */
    private string? itemImg;


    /*
        付款预估收入。解释：付款预付收入=付款预估佣金收入+付款预估补贴收入
    */
    private string? pubSharePreFee;


    /*
        付款金额。解释：买家拍下并付款金额（含预售订单定金金额，但不包含运费金额）；当预售订单完成尾款支付后，付款金额会自动更新为订单总金额
    */
    private string? alipayTotalPrice;


    /*
        商品标题
    */
    private string? itemTitle;


    /*
        媒体名称。解释：“推广管理-媒体备案管理”中的媒体名称
    */
    private string? siteName;


    /*
        商品数量
    */
    private long? itemNum;


    /*
        补贴金额。解释：指该笔订单上各类补贴的补贴金额总和。补贴金额=a补贴金额+b补贴金额+…=结算金额*a补贴比率+结算金额*b补贴比率+…。若（结算金额*a补贴比率）＞补贴类型a单笔补贴上限，则a补贴金额=补贴类型a单笔补贴上限，b补贴金额等其他补贴金额同理
    */
    private string? subsidyFee;


    /*
        平台技术服务费。解释：指该笔订单推广者在需支付给淘宝联盟的所有技术服务费费用总和。目前包含以下两类： 1、技术服务费说明：通过淘宝联盟平台推广所需支付的基础技术服务费；2、渠道专项服务费说明：开通渠道管理权限的推广者进行推广需要支付给淘宝联盟的专项技术服务费用。           平台技术服务费=付款金额*佣金比率*平台技术服务费比率。注意：若订单已结算则会按结算金额计算。（特别说明：补贴从2023-03-10之后都不再收取补贴技术服务费了，故本字段公式中不再提及补贴相关)
    */
    private string? alimamaShareFee;


    /*
        订单编号。解释：买家在购买后台显示的订单编号，若平台类型为淘宝、饿了么等，则订单编号即为淘宝订单编号、饿了么订单编号，以此类推
    */
    private string? tradeParentId;


    /*
        平台类型。解释：订单所属平台类型，包括天猫、淘宝、聚划算、口碑等
    */
    private string? orderType;


    /*
        创建时间。解释：订单创建的时间，该时间同步淘宝，可能会略晚于买家在淘宝的订单创建时间
    */
    private string? tkCreateTime;


    /*
        产品类型。解释：若订单属于特定的产品类型，会进行说明，举例：该订单属于“联盟超级活动”、“品牌精选推广”、“自主推广”等，若无说明仅为“--”则为普通类型订单
    */
    private string? flowSource;


    /*
        成交平台。解释：成交来自于PC或无线
    */
    private string? terminalType;


    /*
        点击时间。解释：通过推广链接达到商品、店铺详情页的点击时间
    */
    private string? clickTime;


    /*
        订单状态。状态类型：已付款（指订单已付款，但还未确认收货）、已收货（指订单已确认收货，但商家佣金未支付）、已结算（指订单已确认收货，且商家佣金已支付成功）、已失效（指订单关闭/订单佣金小于0.01元，订单关闭主要有：①买家超时未付款；②买家付款前，买家/商家取消了订单；③订单付款后发起售中退款成功；④仅支付定金，到期未支付尾款的预售订单）。注意：当订单商家有实收货款（含交易成功和交易关闭订单），联盟以商家实收货款进行佣金结算(满返/买返订单等特殊订单除外)。出参数字代表：3:订单结算，12:订单付款，13:订单失效，14:订单成功
    */
    private long? tkStatus;


    /*
        商品单价
    */
    private string? itemPrice;


    /*
        商品id
    */
    private string? itemId;


    /*
        推广位名称。解释：“推广管理-推广位管理”中的推广位名称
    */
    private string? adzoneName;


    /*
        佣金比率。解释：商品的佣金比率（含平台技术服务费比率，但不包含平台专项服务费比率）（特别说明：若想知道属于您名下的整体佣金比率，则整体佣金比率=佣金比率+平台专项服务费比率，为了简化展示报表，不再增加整体佣金收入字段，有需要的淘宝客可自行加和，举例：若整体佣金比率为10%，平台专项服务费比率为3%，则此处商品佣金比率显示为7%，即10%-3%=7%）
    */
    private string? totalCommissionRate;


    /*
        商品链接
    */
    private string? itemLink;


    /*
        媒体ID。解释：“推广管理-媒体备案管理”中的媒体ID，也是pid中的第二段数字，如pid=mm_1_2_3中的“2”这段数字
    */
    private long? siteId;


    /*
        店铺名称
    */
    private string? sellerShopTitle;


    /*
        收入比率。解释：收入比率=佣金比率+补贴比率
    */
    private string? incomeRate;


    /*
        佣金金额。解释：如果该订单还未结算，则佣金金额=付款金额*佣金比率；如果该订单已经结算，则佣金金额=结算金额*佣金比率
    */
    private string? totalCommissionFee;


    /*
        会员运营ID。解释：会员运营管理功能中的会员运营ID，若该订单来自于会员的购买，则会展示对应会员运营ID
    */
    private long? specialId;


    /*
        渠道关系id。解释：渠道管理功能中的渠道关系ID，若该订单来自于渠道方的推广，则会展示对应渠道关系ID
    */
    private long? relationId;


    /*
        定金付款金额。解释：预售时期，预售订单支付的定金金额
    */
    private string? depositPrice;


    /*
        定金淘宝付款时间。解释：预售时期，预售订单在淘宝支付定金的付款时间
    */
    private string? tbDepositTime;


    /*
        定金付款时间。解释：预售时期，预售订单支付定金的付款时间，该时间同步淘宝，可能会略晚于买家在淘宝的订单创建时间
    */
    private string? tkDepositTime;


    /*
        非电商淘系子订单号
    */
    private string? tpOrderId;


    /*
        服务费信息（字段已废弃）
    */
    private IList<TaobaoTbkOrderDetailsGetServiceFeeDTO>? serviceFeeDtoList;


    /*
        类目名称。解释：商品所属的二级类目名称
    */
    private string? itemCategoryLevel2Name;


    /*
        营销类型。解释：该字段中视订单情况有单个或多个类型告知。 举例：联盟超级活动-优品、特价版客户端锁粉、特价版客户端推广等
    */
    private string? marketingType;


    /*
        订单更新时间
    */
    private string? modifiedTime;


    /*
        专用（不对外开放）
    */
    private string? talentPid;


    /*
        买家拍下金额（不包含运费金额）
    */
    private string? tbGmvTotalPrice;


    /*
        管理member新商品ID后段
    */
    private string? extraMktId;


    /*
        流量通untts（默认无，限定开放）
    */
    private string? untts;


    /*
        付款预估佣金收入。解释：付款预估佣金收入=付款金额*佣金提成。以买家付款金额为基数，预估您可能获得的付款佣金收入，包含平台技术服务费金额（最终发钱时会减去平台技术服务费）。注意：因买家退款等原因，可能与结算预估佣金收入不一致。（特别说明：若想知道属于您名下的整体佣金收入，则整体付款佣金收入=付款预估佣金收入+平台专项服务费，为了简化展示报表，不再增加整体佣金收入字段，有需要的淘宝客可自行加和）
    */
    private string? pubSharePreFeeForCommission;


    /*
        结算预估佣金收入。解释：结算预估佣金收入=付款金额*佣金提成。以买家确认收货的付款金额为基数，预估您可能获得的结算佣金收入，包含技术服务费金额（最终发钱时会减去平台技术服务费）。注意：因买家退款、您违规推广等原因，可能与您最终收入不一致，最终收入以月结后您实际收到的为准。（特别说明：若想知道属于您名下的整体佣金收入，则整体结算佣金收入=结算预估佣金收入+平台专项服务费，为了简化展示报表，不再增加整体佣金收入字段，有需要的淘宝客可自行加和）
    */
    private string? pubShareFeeForCommission;


    /*
        补贴金额明细节点。解释：各补贴类型的类型名称、补贴比率、补贴金额、单笔补贴上限、补贴分成比率的详细说明
    */
    private IList<TaobaoTbkOrderDetailsGetSubsidyDetailDTO>? subsidyInfoDtoList;


    /*
        补贴分成比率。解释：从补贴中分得的收益比率
    */
    private string? pubShareRateForSdy;


    /*
        补贴提成。解释：补贴提成=补贴比率*补贴分成比率。指实际获得的补贴收益比率
    */
    private string? tkTotalRateForSdy;


    /*
        付款预估补贴收入。解释：指以买家付款金额为基数，预估您可能获得的补贴收入。付款预估补贴收入=（付款金额*a补贴比率+付款金额*b补贴比率+……）*补贴分成比率。如果付款金额*a补贴比率＞补贴类型a单笔订单补贴上限，则付款金额*a补贴比率的值取补贴类型a单笔订单补贴上限，b补贴金额等其他类型补贴金额同理。注意：因买家退款等原因，可能与结算预估补贴收入不一致
    */
    private string? pubSharePreFeeForSdy;


    /*
        结算预估补贴收入。解释：以买家确认收货的付款金额为基数，预估您可能获得的结算补贴收入。结算预估补贴收入=（结算金额*a补贴比率+结算金额*b补贴比率+……）*补贴分成比率。如果结算金额*a补贴比率＞补贴类型a单笔订单补贴上限，则结算金额*a补贴比率的值取补贴类型a单笔订单补贴上限，b补贴金额等其他类型补贴金额同理。注意：因买家退款、您违规推广等原因，可能与您最终收入不一致，最终收入以月结后您实际收到的为准
    */
    private string? pubShareFeeForSdy;


    /*
        平台技术服务费明细节点。解释：各项平台技术服务费类型的类型名称、扣费比率、扣费金额的详细说明
    */
    private TaobaoTbkOrderDetailsGetAlimmShareInfoDTO? alimmShareInfoDto;


    /*
        平台专项服务费比率。解释：指该笔订单推广者在各种特殊场景下需支付给淘宝联盟的所有专项服务费比率总和。平台专项服务费比率=专项服务费比率a+专项服务费比率b+…
    */
    private string? platformSpecialServiceRate;


    /*
        平台专项服务费。解释：指该笔订单推广者在各种特殊场景下需支付给淘宝联盟的所有专项服务费用总和。目前包含以下两类：1、内容专项服务费说明：内容场景专项技术服务费，内容推广者在内容场景进行推广需要支付给淘宝联盟的专项技术服务费用；2、流量专项服务费说明：流量通产品合作场景专项技术服务费，推广者在流量通产品能力下，进行流量投放推广需要支付给淘宝联盟的专项技术服务费用。           平台专项服务费=付款金额*平台专项服务费比率。注意：若订单已结算则会按结算金额计算
    */
    private string? platformSpecialServiceFee;


    /*
        平台专项服务费明细节点。解释：各项平台专项服务费类型的类型名称、扣费比率、扣费金额的详细说明
    */
    private TaobaoTbkOrderDetailsGetPlatformSpecialShareInfoDTO? platformSpecialShareInfoDto;


    /*
        加密标识（默认不开放）
    */
    private string? uvid;



    [JsonPropertyName("tb_paid_time")]
    public string? TbPaidTime
    {
        get => tbPaidTime;
        set => this.tbPaidTime = value;
    }

    [JsonPropertyName("tk_paid_time")]
    public string? TkPaidTime
    {
        get => tkPaidTime;
        set => this.tkPaidTime = value;
    }

    [JsonPropertyName("pay_price")]
    public string? PayPrice
    {
        get => payPrice;
        set => this.payPrice = value;
    }

    [JsonPropertyName("pub_share_fee")]
    public string? PubShareFee
    {
        get => pubShareFee;
        set => this.pubShareFee = value;
    }

    [JsonPropertyName("trade_id")]
    public string? TradeId
    {
        get => tradeId;
        set => this.tradeId = value;
    }

    [JsonPropertyName("tk_order_role")]
    public long? TkOrderRole
    {
        get => tkOrderRole;
        set => this.tkOrderRole = value;
    }

    [JsonPropertyName("tk_earning_time")]
    public string? TkEarningTime
    {
        get => tkEarningTime;
        set => this.tkEarningTime = value;
    }

    [JsonPropertyName("adzone_id")]
    public long? AdzoneId
    {
        get => adzoneId;
        set => this.adzoneId = value;
    }

    [JsonPropertyName("pub_share_rate")]
    public string? PubShareRate
    {
        get => pubShareRate;
        set => this.pubShareRate = value;
    }

    [JsonPropertyName("unid")]
    public string? Unid
    {
        get => unid;
        set => this.unid = value;
    }

    [JsonPropertyName("refund_tag")]
    public long? RefundTag
    {
        get => refundTag;
        set => this.refundTag = value;
    }

    [JsonPropertyName("subsidy_rate")]
    public string? SubsidyRate
    {
        get => subsidyRate;
        set => this.subsidyRate = value;
    }

    [JsonPropertyName("tk_total_rate")]
    public string? TkTotalRate
    {
        get => tkTotalRate;
        set => this.tkTotalRate = value;
    }

    [JsonPropertyName("item_category_name")]
    public string? ItemCategoryName
    {
        get => itemCategoryName;
        set => this.itemCategoryName = value;
    }

    [JsonPropertyName("seller_nick")]
    public string? SellerNick
    {
        get => sellerNick;
        set => this.sellerNick = value;
    }

    [JsonPropertyName("pub_id")]
    public long? PubId
    {
        get => pubId;
        set => this.pubId = value;
    }

    [JsonPropertyName("alimama_rate")]
    public string? AlimamaRate
    {
        get => alimamaRate;
        set => this.alimamaRate = value;
    }

    [JsonPropertyName("subsidy_type")]
    public string? SubsidyType
    {
        get => subsidyType;
        set => this.subsidyType = value;
    }

    [JsonPropertyName("item_img")]
    public string? ItemImg
    {
        get => itemImg;
        set => this.itemImg = value;
    }

    [JsonPropertyName("pub_share_pre_fee")]
    public string? PubSharePreFee
    {
        get => pubSharePreFee;
        set => this.pubSharePreFee = value;
    }

    [JsonPropertyName("alipay_total_price")]
    public string? AlipayTotalPrice
    {
        get => alipayTotalPrice;
        set => this.alipayTotalPrice = value;
    }

    [JsonPropertyName("item_title")]
    public string? ItemTitle
    {
        get => itemTitle;
        set => this.itemTitle = value;
    }

    [JsonPropertyName("site_name")]
    public string? SiteName
    {
        get => siteName;
        set => this.siteName = value;
    }

    [JsonPropertyName("item_num")]
    public long? ItemNum
    {
        get => itemNum;
        set => this.itemNum = value;
    }

    [JsonPropertyName("subsidy_fee")]
    public string? SubsidyFee
    {
        get => subsidyFee;
        set => this.subsidyFee = value;
    }

    [JsonPropertyName("alimama_share_fee")]
    public string? AlimamaShareFee
    {
        get => alimamaShareFee;
        set => this.alimamaShareFee = value;
    }

    [JsonPropertyName("trade_parent_id")]
    public string? TradeParentId
    {
        get => tradeParentId;
        set => this.tradeParentId = value;
    }

    [JsonPropertyName("order_type")]
    public string? OrderType
    {
        get => orderType;
        set => this.orderType = value;
    }

    [JsonPropertyName("tk_create_time")]
    public string? TkCreateTime
    {
        get => tkCreateTime;
        set => this.tkCreateTime = value;
    }

    [JsonPropertyName("flow_source")]
    public string? FlowSource
    {
        get => flowSource;
        set => this.flowSource = value;
    }

    [JsonPropertyName("terminal_type")]
    public string? TerminalType
    {
        get => terminalType;
        set => this.terminalType = value;
    }

    [JsonPropertyName("click_time")]
    public string? ClickTime
    {
        get => clickTime;
        set => this.clickTime = value;
    }

    [JsonPropertyName("tk_status")]
    public long? TkStatus
    {
        get => tkStatus;
        set => this.tkStatus = value;
    }

    [JsonPropertyName("item_price")]
    public string? ItemPrice
    {
        get => itemPrice;
        set => this.itemPrice = value;
    }

    [JsonPropertyName("item_id")]
    public string? ItemId
    {
        get => itemId;
        set => this.itemId = value;
    }

    [JsonPropertyName("adzone_name")]
    public string? AdzoneName
    {
        get => adzoneName;
        set => this.adzoneName = value;
    }

    [JsonPropertyName("total_commission_rate")]
    public string? TotalCommissionRate
    {
        get => totalCommissionRate;
        set => this.totalCommissionRate = value;
    }

    [JsonPropertyName("item_link")]
    public string? ItemLink
    {
        get => itemLink;
        set => this.itemLink = value;
    }

    [JsonPropertyName("site_id")]
    public long? SiteId
    {
        get => siteId;
        set => this.siteId = value;
    }

    [JsonPropertyName("seller_shop_title")]
    public string? SellerShopTitle
    {
        get => sellerShopTitle;
        set => this.sellerShopTitle = value;
    }

    [JsonPropertyName("income_rate")]
    public string? IncomeRate
    {
        get => incomeRate;
        set => this.incomeRate = value;
    }

    [JsonPropertyName("total_commission_fee")]
    public string? TotalCommissionFee
    {
        get => totalCommissionFee;
        set => this.totalCommissionFee = value;
    }

    [JsonPropertyName("special_id")]
    public long? SpecialId
    {
        get => specialId;
        set => this.specialId = value;
    }

    [JsonPropertyName("relation_id")]
    public long? RelationId
    {
        get => relationId;
        set => this.relationId = value;
    }

    [JsonPropertyName("deposit_price")]
    public string? DepositPrice
    {
        get => depositPrice;
        set => this.depositPrice = value;
    }

    [JsonPropertyName("tb_deposit_time")]
    public string? TbDepositTime
    {
        get => tbDepositTime;
        set => this.tbDepositTime = value;
    }

    [JsonPropertyName("tk_deposit_time")]
    public string? TkDepositTime
    {
        get => tkDepositTime;
        set => this.tkDepositTime = value;
    }

    [JsonPropertyName("tp_order_id")]
    public string? TpOrderId
    {
        get => tpOrderId;
        set => this.tpOrderId = value;
    }

    [JsonPropertyName("service_fee_dto_list")]
    public IList<TaobaoTbkOrderDetailsGetServiceFeeDTO>? ServiceFeeDtoList
    {
        get => serviceFeeDtoList;
        set => this.serviceFeeDtoList = value;
    }

    [JsonPropertyName("item_category_level2_name")]
    public string? ItemCategoryLevel2Name
    {
        get => itemCategoryLevel2Name;
        set => this.itemCategoryLevel2Name = value;
    }

    [JsonPropertyName("marketing_type")]
    public string? MarketingType
    {
        get => marketingType;
        set => this.marketingType = value;
    }

    [JsonPropertyName("modified_time")]
    public string? ModifiedTime
    {
        get => modifiedTime;
        set => this.modifiedTime = value;
    }

    [JsonPropertyName("talent_pid")]
    public string? TalentPid
    {
        get => talentPid;
        set => this.talentPid = value;
    }

    [JsonPropertyName("tb_gmv_total_price")]
    public string? TbGmvTotalPrice
    {
        get => tbGmvTotalPrice;
        set => this.tbGmvTotalPrice = value;
    }

    [JsonPropertyName("extra_mkt_id")]
    public string? ExtraMktId
    {
        get => extraMktId;
        set => this.extraMktId = value;
    }

    [JsonPropertyName("untts")]
    public string? Untts
    {
        get => untts;
        set => this.untts = value;
    }

    [JsonPropertyName("pub_share_pre_fee_for_commission")]
    public string? PubSharePreFeeForCommission
    {
        get => pubSharePreFeeForCommission;
        set => this.pubSharePreFeeForCommission = value;
    }

    [JsonPropertyName("pub_share_fee_for_commission")]
    public string? PubShareFeeForCommission
    {
        get => pubShareFeeForCommission;
        set => this.pubShareFeeForCommission = value;
    }

    [JsonPropertyName("subsidy_info_dto_list")]
    public IList<TaobaoTbkOrderDetailsGetSubsidyDetailDTO>? SubsidyInfoDtoList
    {
        get => subsidyInfoDtoList;
        set => this.subsidyInfoDtoList = value;
    }

    [JsonPropertyName("pub_share_rate_for_sdy")]
    public string? PubShareRateForSdy
    {
        get => pubShareRateForSdy;
        set => this.pubShareRateForSdy = value;
    }

    [JsonPropertyName("tk_total_rate_for_sdy")]
    public string? TkTotalRateForSdy
    {
        get => tkTotalRateForSdy;
        set => this.tkTotalRateForSdy = value;
    }

    [JsonPropertyName("pub_share_pre_fee_for_sdy")]
    public string? PubSharePreFeeForSdy
    {
        get => pubSharePreFeeForSdy;
        set => this.pubSharePreFeeForSdy = value;
    }

    [JsonPropertyName("pub_share_fee_for_sdy")]
    public string? PubShareFeeForSdy
    {
        get => pubShareFeeForSdy;
        set => this.pubShareFeeForSdy = value;
    }

    [JsonPropertyName("alimm_share_info_dto")]
    public TaobaoTbkOrderDetailsGetAlimmShareInfoDTO? AlimmShareInfoDto
    {
        get => alimmShareInfoDto;
        set => this.alimmShareInfoDto = value;
    }

    [JsonPropertyName("platform_special_service_rate")]
    public string? PlatformSpecialServiceRate
    {
        get => platformSpecialServiceRate;
        set => this.platformSpecialServiceRate = value;
    }

    [JsonPropertyName("platform_special_service_fee")]
    public string? PlatformSpecialServiceFee
    {
        get => platformSpecialServiceFee;
        set => this.platformSpecialServiceFee = value;
    }

    [JsonPropertyName("platform_special_share_info_dto")]
    public TaobaoTbkOrderDetailsGetPlatformSpecialShareInfoDTO? PlatformSpecialShareInfoDto
    {
        get => platformSpecialShareInfoDto;
        set => this.platformSpecialShareInfoDto = value;
    }

    [JsonPropertyName("uvid")]
    public string? Uvid
    {
        get => uvid;
        set => this.uvid = value;
    }

}

